function [output1,output2]=read_sig(value)
try
fwrite(value,255);
fedx=fread(value,[2]);
fed2bin=dec2bin(fedx(1),8);
fed1bin=dec2bin(fedx(2),8);
fedbin =[fed1bin fed2bin];
fed=(bin2dec(fedbin));
out_dac=scaling(0,4095,0,2.5,fed);
out_volt=scaling(0,4095,0,5,fed);
out_deg=scaling(0.45,3.76,35,271,out_volt);
%out_deg=72*out_volt+6;
output1=out_volt;
output2=out_deg;
catch
    error('Error communicating with the unit-Try re-intialising');
end
end